com.ibm.openpages.api.process

## Class ProcessLogQueryOptions

- java.lang.Object
- - com.ibm.openpages.api.process.ProcessLogQueryOptions

-     public class ProcessLogQueryOptions
      extends java.lang.Object

  Get process log options specifying what to query and how to retrieve results.
  Since:
    7.4.0.0
  See Also:
    `IProcessService.getProcessLogs(com.ibm.openpages.api.metadata.Id, ProcessLogQueryOptions)`
  Category:
    Process

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProcessLogQueryOptions()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getEndRow()` Gets the paging end row index (1-based).
    `int` | `getStartRow()` Gets the paging start row index (1-based).
    `void` | `setEndRow(int endRow)` Set the paging end row index (1-based).
    `void` | `setStartRow(int startRow)` Set the paging start row index (1-based).

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProcessLogQueryOptions

          public ProcessLogQueryOptions()

  - ### Method Detail

    - #### setStartRow

          public void setStartRow(int startRow)

      Set the paging start row index (1-based).
      Since:
        8.0.0.2

    - #### getStartRow

          public int getStartRow()

      Gets the paging start row index (1-based).
      Returns:
        the paging start row index
      Since:
        8.0.0.2

    - #### setEndRow

          public void setEndRow(int endRow)

      Set the paging end row index (1-based).
      Since:
        8.0.0.2

    - #### getEndRow

          public int getEndRow()

      Gets the paging end row index (1-based).
      Returns:
        the paging end row index
      Since:
        8.0.0.2

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2020. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.